[IPython-dev] Problem with gtk/pylab (with SVN)

Fernando Perez Fernando.Perez at colorado.edu
Wed Jan 11 01:09:17 CST 2006


Prabhu Ramachandran wrote:
>>>>>>"Fernando" == Fernando Perez <Fernando.Perez at colorado.edu> writes:
> 
> 
>     >> Matplotlib version 0.82?  Is this a matplotlib bug?  BTW,
>     >> things work fine with the WXAgg backend.  I just thought that
>     >> if this was a bug in IPython that you should know.
> 
>     Fernando> Which version of pygtk are you running?  With reasonably
>     Fernando> recent pygtk (from fecora 3) and matplotlib, I don't see
>     Fernando> any of this:
> 
> In [2]: pygtk._get_available_versions()
> Out[2]: {'2.0': '/usr/lib/python2.3/site-packages/gtk-2.0'}
> 
> In [4]: matplotlib.__version__
> Out[4]: '0.82'

Any chance you can update to a more recent mpl?  I really don't want to go out 
of my way into fixing this, if it turns out to be a matplotlib issue simply 
from an old version (0.86 was just released, with new-numpy support, fresh to 
lure you in :)

Given that I don't see it with 0.83, and others in the mpl list aren't 
reporting any problems (all most likely running more recent mpl versions), it 
really may be an issue that would just go away with an mpl upgrade.

Cheers,

f




More information about the IPython-dev mailing list